# BEGIN SourceDeps(oneline):
BuildRequires: perl(CASCM/Wrapper.pm) perl(Config/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(Getopt/Mini.pm) perl(Hash/Merge.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Callback.pm) perl(Module/Build.pm) perl(Object/Tiny.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.1.1
%define module_name CASCM-CLI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.1
Release: alt1
Summary: A unified CLI for CA Harvest SCM
Group: Development/Perl
License: perl
URL: https://github.com/mithun/perl-cascm-cli

Source0: http://cpan.org.ua/authors/id/M/MI/MITHUN/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%files scripts
%_bindir/*

%changelog
* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1
- initial import by package builder

